List Customer Onboarding Requests
curl --request GET \
--url https://api.blockradar.co/v1/customers/{customerId}/onboarding-requests \
--header 'x-api-key: <api-key>'import requests
url = "https://api.blockradar.co/v1/customers/{customerId}/onboarding-requests"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.blockradar.co/v1/customers/{customerId}/onboarding-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 123,
"message": "<string>",
"data": {
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"businessId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"providerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subjectType": "customer",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"providerReference": "<string>",
"routeIntent": {},
"data": {},
"hostedSessions": [
{}
],
"reason": "<string>",
"metadata": {}
}
],
"meta": {},
"links": {}
}
}Onboarding
List Customer Onboarding Requests
Lists onboarding requests created for a customer.
GET
/
v1
/
customers
/
{customerId}
/
onboarding-requests
List Customer Onboarding Requests
Authorizations
Path Parameters
Customer identifier.
Query Parameters
One-based page number.
Required range:
x >= 1Number of records per page.
Required range:
x >= 1Available options:
draft, collecting_information, ready_for_submission, submitted, action_required, pending_admin_review, in_review, approved, rejected, failed, expired Available options:
offramp, onramp_payment_order, onramp_virtual_account ⌘I

